package com.ruoyi.predict.domain;

import com.ruoyi.common.core.domain.BaseEntity;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;

import java.util.Date;

/**
 * MvPoint对象 mv_point
 *
 * @author hlf
 * @date 2022-01-10
 */
public class MvPoint extends BaseEntity {
    private static final long serialVersionUID = 1L;

    private Long windplantNo;

    private Long mvNo;

    private Date saveTime;

    private Date statSaveTime1;

    private Date statSaveTime2;

    private Date statSaveTime3;

    private Date dayStatSaveTime1;

    private Date dayStatSaveTime2;

    private Date dayStatSaveTime3;

    private Date monthStatSaveTime1;

    private Date monthStatSaveTime2;

    private Date monthStatSaveTime3;

    private Long period;

    private String windplantName;

    private String mvName;

    public void setWindplantNo(Long windplantNo) {
        this.windplantNo = windplantNo;
    }

    public Long getWindplantNo() {
        return windplantNo;
    }

    public void setMvNo(Long mvNo) {
        this.mvNo = mvNo;
    }

    public Long getMvNo() {
        return mvNo;
    }

    public void setSaveTime(Date saveTime) {
        this.saveTime = saveTime;
    }

    public Date getSaveTime() {
        return saveTime;
    }

    public void setStatSaveTime1(Date statSaveTime1) {
        this.statSaveTime1 = statSaveTime1;
    }

    public Date getStatSaveTime1() {
        return statSaveTime1;
    }

    public void setStatSaveTime2(Date statSaveTime2) {
        this.statSaveTime2 = statSaveTime2;
    }

    public Date getStatSaveTime2() {
        return statSaveTime2;
    }

    public void setStatSaveTime3(Date statSaveTime3) {
        this.statSaveTime3 = statSaveTime3;
    }

    public Date getStatSaveTime3() {
        return statSaveTime3;
    }

    public void setDayStatSaveTime1(Date dayStatSaveTime1) {
        this.dayStatSaveTime1 = dayStatSaveTime1;
    }

    public Date getDayStatSaveTime1() {
        return dayStatSaveTime1;
    }

    public void setDayStatSaveTime2(Date dayStatSaveTime2) {
        this.dayStatSaveTime2 = dayStatSaveTime2;
    }

    public Date getDayStatSaveTime2() {
        return dayStatSaveTime2;
    }

    public void setDayStatSaveTime3(Date dayStatSaveTime3) {
        this.dayStatSaveTime3 = dayStatSaveTime3;
    }

    public Date getDayStatSaveTime3() {
        return dayStatSaveTime3;
    }

    public void setMonthStatSaveTime1(Date monthStatSaveTime1) {
        this.monthStatSaveTime1 = monthStatSaveTime1;
    }

    public Date getMonthStatSaveTime1() {
        return monthStatSaveTime1;
    }

    public void setMonthStatSaveTime2(Date monthStatSaveTime2) {
        this.monthStatSaveTime2 = monthStatSaveTime2;
    }

    public Date getMonthStatSaveTime2() {
        return monthStatSaveTime2;
    }

    public void setMonthStatSaveTime3(Date monthStatSaveTime3) {
        this.monthStatSaveTime3 = monthStatSaveTime3;
    }

    public Date getMonthStatSaveTime3() {
        return monthStatSaveTime3;
    }

    public void setPeriod(Long period) {
        this.period = period;
    }

    public Long getPeriod() {
        return period;
    }

    public String getWindplantName() {
        return windplantName;
    }

    public void setWindplantName(String windplantName) {
        this.windplantName = windplantName;
    }

    public String getMvName() {
        return mvName;
    }

    public void setMvName(String mvName) {
        this.mvName = mvName;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this, ToStringStyle.MULTI_LINE_STYLE)
                .append("windplantNo", getWindplantNo())
                .append("mvNo", getMvNo())
                .append("saveTime", getSaveTime())
                .append("statSaveTime1", getStatSaveTime1())
                .append("statSaveTime2", getStatSaveTime2())
                .append("statSaveTime3", getStatSaveTime3())
                .append("dayStatSaveTime1", getDayStatSaveTime1())
                .append("dayStatSaveTime2", getDayStatSaveTime2())
                .append("dayStatSaveTime3", getDayStatSaveTime3())
                .append("monthStatSaveTime1", getMonthStatSaveTime1())
                .append("monthStatSaveTime2", getMonthStatSaveTime2())
                .append("monthStatSaveTime3", getMonthStatSaveTime3())
                .append("period", getPeriod())
                .toString();
    }
}
